import { Feature, FeatureWithRouterFactory } from '@common-stack/client-react';

import LayoutModule from '@workbench-stack/layout';
import ModalModule from '@workbench-stack/modal';
import { ThemeModule } from '@workbench-stack/components';
import SettingsModule from '@workbench-stack/settings';
import OutputModule from '@workbench-stack/output-browser';
import { resolvers, schema } from './graphql';

export default new Feature(
  FeatureWithRouterFactory,
  LayoutModule, ThemeModule,
  ModalModule, SettingsModule,
  OutputModule,
  new Feature({
    clientStateParams: [{ resolvers, typeDefs: schema }],
  }),
);
